<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Formulario de requisitadores</b></h3>
    </div>
      <div class="card-body justify-content-center">
        <form class="mt-3 col-md-10 offset-md-3" (ngSubmit)="onSave()" [formGroup]="requisitadorForm">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Nombre </label>
              <input type="text" formControlName="nombre" class="form-control" [class]="isValidField('nombre')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Apellido Paterno </label>
              <input type="text" formControlName="apat" class="form-control" [class]="isValidField('apat')">
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Apellido Materno </label>
              <input type="text" formControlName="amat" class="form-control" [class]="isValidField('amat')">
            </div>
          </div>
          <div class="d-grid gap-2 col-8 mx-auto">
            <button class="btn btn-success btn-md-8">Guardar datos</button>
          </div>
        </form>
        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar al listado</button>
        </div>
      </div>
  </div>
</div>
